import BasicLayout from '../../layouts/BasicLayout.vue';
import Login from '../../views/login/index.vue';


export default [
  {
    path: '/',
    redirect: '/home'
  },
  {
    path: '/login',
    component: Login,
    meta: { title: '登录页面' },
  },
  {
    path: '/home',
    redirect: '/home/index',
    component: BasicLayout,
    children: [
      {
        path: '/home/index',
        name: 'Home',
        component: () => import('../../views/home/index.vue'),
        meta: { title: '首页', requireAuth: true, affix: true, closable: false },
      },
    ]
  },
  {
    path: '/system',
    redirect: '/system/index',
    component: BasicLayout,
    meta: {title: '系统管理'},
    children: [
      {
        path: '/system/index',
        name: 'systemIndex',
        component: () => import('../../views/system/index.vue'),
        meta: {title: '人员管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/system/department',
        name: 'systemDepartment',
        component: () => import('../../views/system/department.vue'),
        meta: {title: '部门管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/system/party',
        name: 'systemParty',
        component: () => import('../../views/system/party.vue'),
        meta: {title: '党支部管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/system/permission',
        name: 'systemPermission',
        component: () => import('../../views/system/permission.vue'),
        meta: {title: '权限管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/system/menu',
        name: 'systemMenu',
        component: () => import('../../views/system/menu.vue'),
        meta: {title: '菜单管理', requireAuth: true, affix: true, closable: true},
      }
    ]
  },
  {
    path: '/complaint',
    redirect: '/complaint/index',
    component: BasicLayout,
    children: [
      {
        path: '/complaint/index',
        name: 'Complaint',
        component: () => import('../../views/home/index.vue'),
        meta: { title: '投诉管理', requireAuth: true, affix: true, closable: true },
      },
    ]
  },{
    path: '/packet',
    redirect: '/packet/index',
    component: BasicLayout,
    children: [
      {
        path: '/packet/index',
        name: 'Packet',
        component: () => import('../../views/home/index.vue'),
        meta: { title: '拒收红包', requireAuth: true, affix: true, closable: true },
      },
    ]
  },{
    path: '/day_evaluation',
    redirect: '/day_evaluation/index',
    component: BasicLayout,
    meta: {title: '日常考评'},
    children: [
      {
        path: '/day_evaluation/index',
        name: 'dayEvaluationIndex',
        component: () => import('../../views/day_evaluation/index.vue'),
        meta: {title: '加减分管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/day_evaluation/examine',
        name: 'dayEvaluationExamine',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '加减分审核', requireAuth: true, affix: true, closable: true},
      }
    ]
  },{
    path: '/month_evaluation',
    redirect: '/month_evaluation/index',
    component: BasicLayout,
    meta: {title: '月度考评'},
    children: [
      {
        path: '/month_evaluation/index',
        name: 'monthEvaluationIndex',
        component: () => import('../../views/month_evaluation/index.vue'),
        meta: {title: '月度考评填报', requireAuth: true, affix: true, closable: true},
      },{
        path: '/month_evaluation/examine',
        name: 'monthEvaluationExamine',
        component: () => import('../../views/month_evaluation/examine.vue'),
        meta: {title: '月度考评管理', requireAuth: true, affix: true, closable: true},
      }
    ]
  },{
    path: '/season_evaluation',
    redirect: '/season_evaluation/index',
    component: BasicLayout,
    meta: {title: '季度考评'},
    children: [
      {
        path: '/season_evaluation/index',
        name: 'seasonEvaluationIndex',
        component: () => import('../../views/season_evaluation/index.vue'),
        meta: {title: '季度考评', requireAuth: true, affix: true, closable: true},
      },{
        path: '/season_evaluation/examine',
        name: 'seasonEvaluationExamine',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '季度考评管理', requireAuth: true, affix: true, closable: true},
      }
    ]
  },{
    path: '/outside_evaluation',
    redirect: '/outside_evaluation/index',
    component: BasicLayout,
    meta: {title: '院外考评'},
    children: [
      {
        path: '/outside_evaluation/index',
        name: 'outsideEvaluationIndex',
        component: () => import('../../views/day_evaluation/index.vue'),
        meta: {title: '我的院外考评', requireAuth: true, affix: true, closable: true},
      },{
        path: '/outside_evaluation/examine',
        name: 'outsideEvaluationExamine',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '院外考评管理', requireAuth: true, affix: true, closable: true},
      }
    ]
  },{
    path: '/year_evaluation',
    redirect: '/year_evaluation/index',
    component: BasicLayout,
    meta: {title: '年度考评'},
    children: [
      {
        path: '/year_evaluation/index',
        name: 'yearEvaluationIndex',
        component: () => import('../../views/year_evaluation/index.vue'),
        meta: {title: '年度考评', requireAuth: true, affix: true, closable: true},
      },{
        path: '/year_evaluation/examine',
        name: 'yearEvaluationExamine',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '年度考评管理', requireAuth: true, affix: true, closable: true},
      }
    ]
  },{
    path: '/file_bag',
    redirect: '/file_bag/index',
    component: BasicLayout,
    meta: {title: '医德医风档案'},
    children: [
      {
        path: '/file_bag/index',
        name: 'fileBagIndex',
        component: () => import('../../views/day_evaluation/index.vue'),
        meta: {title: '我的档案', requireAuth: true, affix: true, closable: true},
      },{
        path: '/file_bag/examine',
        name: 'fileBagExamine',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '员工档案', requireAuth: true, affix: true, closable: true},
      }
    ]
  },{
    path: '/census',
    redirect: '/census/index',
    component: BasicLayout,
    meta: {title: '统计报表分析'},
    children: [
      {
        path: '/census/index',
        name: 'censusIndex',
        component: () => import('../../views/day_evaluation/index.vue'),
        meta: {title: '拒收红包报表统计', requireAuth: true, affix: true, closable: true},
      },{
        path: '/census/day',
        name: 'censusDay',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '日常考评报表统计', requireAuth: true, affix: true, closable: true},
      },{
        path: '/census/month',
        name: 'censusMonth',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '月度考评报表统计', requireAuth: true, affix: true, closable: true},
      },{
        path: '/census/season',
        name: 'censusSeason',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '季度考评报表统计', requireAuth: true, affix: true, closable: true},
      },{
        path: '/census/year',
        name: 'censusYear',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '年度考评报表统计', requireAuth: true, affix: true, closable: true},
      }
    ]
  },{
    path: '/configuration',
    redirect: '/configuration/index',
    component: BasicLayout,
    meta: {title: '规则配置中心'},
    children: [
      {
        path: '/configuration/index',
        name: 'configurationIndex',
        component: () => import('../../views/day_evaluation/index.vue'),
        meta: {title: '登陆日志管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/configuration/foundation',
        name: 'configurationFoundation',
        component: () => import('../../views/configuration/foundation.vue'),
        meta: {title: '基础评分项管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/configuration/add',
        name: 'configurationAdd',
        component: () => import('../../views/configuration/add.vue'),
        meta: {title: '加减分项管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/configuration/time',
        name: 'configurationTime',
        component: () => import('../../views/configuration/time.vue'),
        meta: {title: '考评时间管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/configuration/level',
        name: 'configurationLevel',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '考评级别管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/configuration/opinion',
        name: 'configurationOpinion',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '医德征求意见管理', requireAuth: true, affix: true, closable: true},
      },{
        path: '/configuration/year',
        name: 'configurationBase',
        component: () => import('../../views/day_evaluation/examine.vue'),
        meta: {title: '字典管理', requireAuth: true, affix: true, closable: true},
      }
    ]
  },{
    path: '/workspace',
    redirect: '/workspace/workbench',
    component: BasicLayout,
    meta: {title: '工作空间'},
    children: [
      {
        path: '/workspace/workbench',
        name: 'Workbench',
        component: () => import('../../views/workSpace/workbench/index.vue'),
        meta: {title: '工作台', requireAuth: true, affix: true, closable: false},
      },
      {
        path: '/workspace/console',
        component: () => import('../../views/workSpace/console/index.vue'),
        meta: {title: '控制台', requireAuth: true},
      },
      {
        path: '/workspace/analysis',
        component: () => import('../../views/workSpace/analysis/index.vue'),
        meta: {title: '分析页', requireAuth: true},
      },
      {
        path: '/workspace/monitor',
        component: () => import('../../views/workSpace/monitor/index.vue'),
        meta: {title: '监控页', requireAuth: true},
      }
    ]
  },{
    path: '/error',
    component: BasicLayout,
    meta: { title: '错误页面' },
    children: [
      {
        path: '/error/401',
        component: () => import('../../views/error/401.vue'),
        meta: { title: '401' },
      },
      {
        path: '/error/403',
        component: () => import('../../views/error/403.vue'),
        meta: { title: '403' },
      },
      {
        path: '/error/404',
        component: () => import('../../views/error/404.vue'),
        meta: { title: '404' },
      },
      {
        path: '/error/500',
        component: () => import('../../views/error/500.vue'),
        meta: { title: '500' },
      }
    ]
  },

]
